#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 1e5 + 50;
char s[N];
void die(int x)
{
    puts(x ? "YES" : "NO");
    exit(0);
}
int main()
{
    int T;
    scanf("%d", &T);
    while (T--)
    {
        int n;
        scanf("%d%s", &n, &s);
        puts(find(s, s + n, '8') <= s + n - 11 ? "YES" : "NO");
    }
    return 0;
}